Subject: Bug#959: [X2Go-Dev] Bug#959: vcxsrv.exe crashing

From: Mason Frakes <[email-masked]>
Date: Wed, 30 Jan 2019 19:26:27 +0000

I had a similar issue, if not the same, where after I hit the "Ok" button to login and connect the window to view my remote desktop would open for a very brief moment before crashing.

I tried reinstalling and rebooting my client many times but was not able to connect again. I connected fine from my hosts "Console Access" which with a desktop installed takes me to the desktop naturally but it confirmed the desktop itself was ok. So it being that I'd spent some time on this at that point and needed to get back up and running I just rebooted my remote server which remedied the issue. I did try 'sudo service x2goserver restart' first to no avail.

I had previous to that reboot that fixed the issue an uptime of 74 days with a desktop session for all of them and it was extended to fit over multiple displays like Orions report.